Skip to content
Start here

Get time series distribution of HTTP authentication requests by dimension.

client.Radar.LeakedCredentials.TimeseriesGroupsV2(ctx, dimension, query) (*LeakedCredentialTimeseriesGroupsV2Response, error)
GET/radar/leaked_credential_checks/timeseries_groups/{dimension}

Retrieves the distribution of HTTP authentication requests, grouped by the specified dimension over time.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse

Specifies the attribute by which to group the results.

One of the following:
const LeakedCredentialTimeseriesGroupsV2ParamsDimensionCompromised LeakedCredentialTimeseriesGroupsV2ParamsDimension = "COMPROMISED"
const LeakedCredentialTimeseriesGroupsV2ParamsDimensionBotClass LeakedCredentialTimeseriesGroupsV2ParamsDimension = "BOT_CLASS"
query LeakedCredentialTimeseriesGroupsV2Params

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval15m LeakedCredentialTimeseriesGroupsV2ParamsAggInterval = "15m"
const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1h LeakedCredentialTimeseriesGroupsV2ParamsAggInterval = "1h"
const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1d LeakedCredentialTimeseriesGroupsV2ParamsAggInterval = "1d"
const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1w LeakedCredentialTimeseriesGroupsV2ParamsAggInterval = "1w"
ASN param.Field[[]string]optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with - to exclude ASNs from results. For example, -174, 3356 excludes results from AS174, but includes results from AS3356.

BotClass param.Field[[]LeakedCredentialTimeseriesGroupsV2ParamsBotClass]optional

Filters results by bot class. Refer to Bot classes.

const LeakedCredentialTimeseriesGroupsV2ParamsBotClassLikelyAutomated LeakedCredentialTimeseriesGroupsV2ParamsBotClass = "LIKELY_AUTOMATED"
const LeakedCredentialTimeseriesGroupsV2ParamsBotClassLikelyHuman LeakedCredentialTimeseriesGroupsV2ParamsBotClass = "LIKELY_HUMAN"
CheckResult param.Field[[]LeakedCredentialTimeseriesGroupsV2ParamsCheckResult]optional

Filters results by leaked credential check result.

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultClean LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "CLEAN"
const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernameLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME_LEAKED"
const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernamePasswordSimilar LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME_PASSWORD_SIMILAR"
const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernameAndPasswordLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME_AND_PASSWORD_LEAKED"
const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultPasswordLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "PASSWORD_LEAKED"
Compromised param.Field[[]LeakedCredentialTimeseriesGroupsV2ParamsCompromised]optional

Filters results by compromised credential status (clean vs. compromised).

const LeakedCredentialTimeseriesGroupsV2ParamsCompromisedClean LeakedCredentialTimeseriesGroupsV2ParamsCompromised = "CLEAN"
const LeakedCredentialTimeseriesGroupsV2ParamsCompromisedCompromised LeakedCredentialTimeseriesGroupsV2ParamsCompromised = "COMPROMISED"
Continent param.Field[[]string]optional

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.

DateEnd param.Field[[]Time]optional

End of the date range (inclusive).

DateRange param.Field[[]string]optional

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

DateStart param.Field[[]Time]optional

Start of the date range.

Format in which results will be returned.

const LeakedCredentialTimeseriesGroupsV2ParamsFormatJson LeakedCredentialTimeseriesGroupsV2ParamsFormat = "JSON"
const LeakedCredentialTimeseriesGroupsV2ParamsFormatCsv LeakedCredentialTimeseriesGroupsV2ParamsFormat = "CSV"
LimitPerGroup param.Field[int64]optional

Limits the number of objects per group to the top items within the specified time range. When item count exceeds the limit, extra items appear grouped under an "other" category.

Location param.Field[[]string]optional

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.

Name param.Field[[]string]optional

Array of names used to label the series in the response.

Normalization method applied to the results. Refer to Normalization methods.

const LeakedCredentialTimeseriesGroupsV2ParamsNormalizationPercentageChange LeakedCredentialTimeseriesGroupsV2ParamsNormalization = "PERCENTAGE_CHANGE"
const LeakedCredentialTimeseriesGroupsV2ParamsNormalizationMin0Max LeakedCredentialTimeseriesGroupsV2ParamsNormalization = "MIN0_MAX"
ReturnsExpand Collapse
type LeakedCredentialTimeseriesGroupsV2Response struct{…}
Meta LeakedCredentialTimeseriesGroupsV2ResponseMeta

Metadata for the results.

AggInterval LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

One of the following:
const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalFifteenMinutes LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "FIFTEEN_MINUTES"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneHour LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE_HOUR"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneDay LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE_DAY"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneWeek LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE_WEEK"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneMonth LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE_MONTH"
ConfidenceInfo LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfo
Annotations []LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotation
DataSource LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

One of the following:
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAll LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAIBots LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "AI_BOTS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "AI_GATEWAY"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceBGP LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceBots LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION_ANOMALY"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceCT LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "CT"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNS LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_MAGNITUDE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_AS112"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDos LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_ROUTING"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_SECURITY"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceFw LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "FW"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceFwPg LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "FW_PG"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTP LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CONTROL"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CRAWLER_REFERER"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_ORIGINS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceIQI LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED_CREDENTIALS"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceNet LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "NET"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS_TXT"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceSpeed LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS_AI"
Description string
EndDate Time
formatdate-time
EventType LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

One of the following:
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeEvent LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "EVENT"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeGeneral LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeOutage LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL_PROJECTION"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypePipeline LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC_ANOMALY"
IsInstantaneous bool

Whether event is a single point in time or a time range.

LinkedURL string
formaturi
StartDate Time
formatdate-time
Level int64

Provides an indication of how much confidence Cloudflare has in the data.

DateRange []LeakedCredentialTimeseriesGroupsV2ResponseMetaDateRange
EndTime Time

Adjusted end of date range.

formatdate-time
StartTime Time

Adjusted start of date range.

formatdate-time
LastUpdated Time

Timestamp of the last dataset update.

formatdate-time
Normalization LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationPercentage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "PERCENTAGE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationMin0Max LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "MIN0_MAX"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationMinMax LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "MIN_MAX"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRawValues LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "RAW_VALUES"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationPercentageChange LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "PERCENTAGE_CHANGE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRollingAverage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "ROLLING_AVERAGE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationOverlappedPercentage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "OVERLAPPED_PERCENTAGE"
const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRatio LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "RATIO"
Units []LeakedCredentialTimeseriesGroupsV2ResponseMetaUnit

Measurement units for the results.

Name string
Value string
Serie0 LeakedCredentialTimeseriesGroupsV2ResponseSerie0
Timestamps []Time

Get time series distribution of HTTP authentication requests by dimension.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.LeakedCredentials.TimeseriesGroupsV2(
    context.TODO(),
    radar.LeakedCredentialTimeseriesGroupsV2ParamsDimensionCompromised,
    radar.LeakedCredentialTimeseriesGroupsV2Params{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}